<?php

$shortname = 'kippis_';
$options   = array();
//***************************************************************************************************************************************************
//
//  Menu item: Notes
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('Notes','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('Administrator notes','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  notes (For information only, not used anywhere.)
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __("Author's notes",'kippis')
                  ,'desc'   => __('Information from BirchWare.','kippis')
                  ,'id'     => $shortname.'info'
                  ,'std'    => ''
                  ,'type'   => 'displayonly'
                  ,'data'   => array('info','<p>' . __('Documentation can be found at the <a href="http://birchware.se/wordpress/kippis" target="blank">Kippis site</a>.','kippis') . '</p>')
                  );
$options[] = array('title'  => __('Notes','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('Administrator notes. Here you can write down notes for yourself.','kippis')
                  ,'id'     => $shortname.'notes_textarea'
                  ,'std'    => __("This text isn't used by the theme.",'kippis')
                  ,'type'   => 'textarea'
                  );
$options[] = array('title'  => __('Your feedback is welcome','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('type'   => 'displayonly'
                  ,'desc'   => __('Thanks for using the theme Kippis','kippis')
                  //,'data'   => array('info',__("If there is anything that you find doesn't work for you, don't hesitate to contact us at the " . '<a href="http://birchware.se/wordpress/kippis" target="blank">' . "Kippis site</a>.<br />"
                  //                           . "Also, if there is something that you think is missing, or just think would be cool, tell us and maybe it'll be in the next version.<br />"
                  //                           . "If you have an account at wordpress.org, you could visit " . '<a href="http://wordpress.org/extend/themes/kippis">' . "Kippis at wordpress.org</a>. At the bottom right, there's a link to a forum.<br />"
                  //                           . "That is probably the best place to look for help. (A wordpress.org account is, of course, free.)<br />"
                  //                           . "<br />"
                  //                           . "We also love to see what you've done with the theme. We think that you can create very different kinds of sites with it. Please show us your work.<br />"
                  //                           . "<br />"
                  //                           . "Enjoy!",'kippis'))
                  //);
                  ,'data'   => array('info',__("If there is anything that you find doesn't work for you, don't hesitate to contact us at the " . '<a href="http://birchware.se/wordpress/kippis" target="blank">' . "Kippis site</a>.",'kippis')
                                           .   '<br />'
                                           .   __("Also, if there is something that you think is missing, or just think would be cool, tell us and maybe it'll be in the next version.",'kippis')
                                           .   '<br />'
                                           .   __("If you have an account at wordpress.org, you could visit " . '<a href="http://wordpress.org/extend/themes/kippis">' . "Kippis at wordpress.org</a>.",'kippis')
                                           .   ' '
                                           .   __("At the bottom right, there's a link to a forum.",'kippis')
                                           .   '<br />'
                                           .   __("That is probably the best place to look for help, and a wordpress.org account is, of course, free.",'kippis')
                                           .   '<br />'
                                           .   '<br />'
                                           .   __("We also love to see what you've done with the theme. We think that you can create very different kinds of sites with it. Please show us your work.",'kippis')
                                           )
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: Notes - Close
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  Menu item: General
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('General','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('General options','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  site headings
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Site headings','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','none')
                  );
$options[] = array('title'  => __('Site Title','kippis')
                  ,'desc'   => __('Show the Site Title.','kippis')
                  ,'id'     => $shortname.'sitetitle_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('title'  => __('Tagline','kippis')
                  ,'desc'   => __('Show the Tagline.','kippis')
                  ,'id'     => $shortname.'tagline_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Search box position
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Search box in the header','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('id'     => $shortname.'search_box_header'
                  ,'std'    => 'top'
                  ,'type'   => 'radio'
                  ,'data'   => array(__('At the top.'                 ,'kippis') => 'top'
                                    ,__('At the bottom.'              ,'kippis') => 'bottom'
                                    ,__('No search box in the header.','kippis') => 'no'
                                    )
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: General - Close
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  Menu item: Areas
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('Main areas','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('Basic screen decoration','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  favicon
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Favicon','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','none')
                  );
$options[] = array('title'  => __('The blog icon.','kippis')
                  ,'desc'   => __('This should be a 16x16 or 32x32 pixels image in the .ico file format.','kippis')
                  ,'id'     => $shortname.'favicon'
                  ,'std'    => array('url'    => get_template_directory_uri() . '/pix/kippis.ico'
                                   , 'file'   => get_template_directory()     . '/pix/kippis.ico'
                                   , 'width'  => 16
                                   , 'height' => 16
                                   )
                  ,'type'   => 'image'
                  );
$options[] = array('desc'   => __('Use the blog icon.','kippis')
                  ,'id'     => $shortname.'favicon_enable'
                  ,'std'    => 'off'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  body
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Body','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for the entire blog.','kippis')
                  ,'id'     => $shortname.'body_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'body_background',$shortname.'body_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'body_background'
                  ,'std'    => '#ffffff'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'body_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'body_foreground'
                  ,'std'    => '#000000'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'body_display_colors','color')
                  );
$options[] = array('title'  => __('Background image','kippis')
                  ,'desc'   => __('The background for the entire blog.','kippis')
                  ,'id'     => $shortname.'body_image'
                  ,'std'    => array('url'    => get_template_directory_uri() . '/pix/body.jpg'
                                   , 'file'   => get_template_directory()     . '/pix/body.jpg'
                                   , 'width'  => 1600
                                   , 'height' => 1200
                                   )
                  ,'type'   => 'image'
                  );
$options[] = array('desc'   => __('Use the background image.','kippis')
                  ,'id'     => $shortname.'body_image_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  #all
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Workspace','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for the workspace.','kippis')
                  ,'id'     => $shortname.'all_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'all_background',$shortname.'all_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'all_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'all_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'all_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'all_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  header
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Header','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for the header.','kippis')
                  ,'id'     => $shortname.'header_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'header_background',$shortname.'header_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'header_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'header_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'header_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'header_display_colors','color')
                  );
$options[] = array('title'  => __('Header image','kippis')
                  ,'desc'   => __('The image displayed at the top.','kippis')
                  ,'note'   => __('Note: The size of the header will be the same as this image.','kippis')
                  ,'id'     => $shortname.'header_image'
                  ,'std'    => array('url'    => get_template_directory_uri() . '/pix/transparent-header_1100x112.png'
                                   , 'file'   => get_template_directory()     . '/pix/transparent-header_1100x112.png'
                                   , 'width'  => 1100
                                   , 'height' => 112
                                   )
                  ,'type'   => 'image'
                  );
$options[] = array('note'   => __('Force image into this width, in pixels:','kippis')
                  ,'id'     => $shortname.'header_image_width'
                  ,'std'    => ''
                  ,'type'   => 'text'
                  );
if ((isset($kippis_options['kippis_header_image_width'])) && (isset($kippis_options['kippis_header_image']['height']))) {
  if ((!empty($kippis_options['kippis_header_image_width'])) && (!empty($kippis_options['kippis_header_image']['width']))) {
    $forced_height = floor((float)$kippis_options['kippis_header_image_width']
                         / (float)$kippis_options['kippis_header_image']['width']
                         * (float)$kippis_options['kippis_header_image']['height']);
    $options[] = array('type'   => 'displayonly'
                      ,'data'   => array('info','<b>' . __('Forced size','kippis') . ': ' . $kippis_options['kippis_header_image_width'] . 'x' . $forced_height . '</b>')
                      );
  }
}
$options[] = array('desc'   => __('Use the header image.','kippis')
                  ,'id'     => $shortname.'header_image_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  content
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Content','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('type'   => 'displayonly'
                  ,'data'   => array('info','<i><b>' . __('Calculated width:','kippis') . ' ***CONTENT_AREA_WIDTH***</b> (' . __('including margins and padding','kippis') . ')</i>')
                  );
$options[] = array('desc'   => __('The default colors for the content area.','kippis')
                  ,'id'     => $shortname.'content_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'content_background',$shortname.'content_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'content_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'content_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'content_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'content_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  article
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Article','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for articles.','kippis')
                  ,'id'     => $shortname.'article_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'articles_background',$shortname.'articles_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'article_background'
                  ,'std'    => '#ffffff'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'article_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'article_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'article_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  caption
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Caption','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'caption_background'
                  ,'std'    => '#ffffff'
                  ,'type'   => 'color'
                  );
$options[] = array('title'  => __('Border','kippis')
                  ,'id'     => $shortname.'caption_border'
                  ,'std'    => '#dddddd'
                  ,'type'   => 'color'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  comments
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Comments','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for comments.','kippis')
                  ,'id'     => $shortname.'comments_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'comments_background',$shortname.'comments_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'comments_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'comments_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'comments_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'comments_display_colors','color')
                  );
$options[] = array('desc'   => __('The default colors for a comment.','kippis')
                  ,'id'     => $shortname.'comment_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'comment_background',$shortname.'comment_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'comment_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'comment_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'comment_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'comment_display_colors','color')
                  );
$options[] = array('title'  => __('Border, odd comments','kippis')
                  ,'id'     => $shortname.'comments_odd_border'
                  ,'std'    => '#eeeeee'
                  ,'type'   => 'color'
                  );
$options[] = array('title'  => __('Border, even comments','kippis')
                  ,'id'     => $shortname.'comments_even_border'
                  ,'std'    => '#dddddd'
                  ,'type'   => 'color'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: Areas - Close
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  Menu item: Primary menu
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('Primary menu','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('The primary menu','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  All primary menu items
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Primary menu','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','none')
                  );
$options[] = array('type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('title'  => __('Menu bar background color, at the top','kippis')
                  ,'id'     => $shortname.'main_menu_bar_top_background'
                  ,'std'    => '#222222'
                  ,'type'   => 'color'
                  );
$options[] = array('title'  => __('Menu bar background color, at the bottom','kippis')
                  ,'id'     => $shortname.'main_menu_bar_bottom_background'
                  ,'std'    => '#000000'
                  ,'type'   => 'color'
                  );
$options[] = array('title'  => __('Menu bar, foreground color','kippis')
                  ,'id'     => $shortname.'main_menu_bar_foreground'
                  ,'std'    => '#cccccc'
                  ,'type'   => 'color'
                  );
$options[] = array('type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('title'  => __('Menu dropdown background color','kippis')
                  ,'id'     => $shortname.'main_menu_dropdown_background'
                  ,'std'    => '#222222'
                  ,'type'   => 'color'
                  );
$options[] = array('title'  => __('Menu dropdown foreground color','kippis')
                  ,'id'     => $shortname.'main_menu_dropdown_foreground'
                  ,'std'    => '#cccccc'
                  ,'type'   => 'color'
                  );
$options[] = array('type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('title'  => __('Hover/focus background color, at the top','kippis')
                  ,'id'     => $shortname.'main_menu_hover_top_background'
                  ,'std'    => '#ffffff'
                  ,'type'   => 'color'
                  );
$options[] = array('title'  => __('Hover/focus background color, at the bottom','kippis')
                  ,'id'     => $shortname.'main_menu_hover_bottom_background'
                  ,'std'    => '#888888'
                  ,'type'   => 'color'
                  );
$options[] = array('title'  => __('Hover/focus foreground color','kippis')
                  ,'id'     => $shortname.'main_menu_hover_foreground'
                  ,'std'    => '#222222'
                  ,'type'   => 'color'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: Primary menu
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  Menu item: Widgets
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('Widgets','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('Thw widget areas','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  widget
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Widgets','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','none')
                  );
$options[] = array('desc'   => __('The default colors for widgets.','kippis')
                  ,'id'     => $shortname.'widget_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'widget_background',$shortname.'widget_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'widget_background'
                  ,'std'    => '#eeeeee'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'widget_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'widget_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'widget_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  widget title
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Widget titles','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for widget titles.','kippis')
                  ,'id'     => $shortname.'widget_title_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'widget_title_background',$shortname.'widget_title_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'widget_title_background'
                  ,'std'    => '#dddddd'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'widget_title_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'widget_title_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'widget_title_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: Widgets - Close
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  Menu item: Text
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('Text','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('Different kinds of text','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  h1,h2,h3,h4,h5,h6
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Headings','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','none')
                  );
$options[] = array('desc'   => __('The default colors for headings.','kippis')
                  ,'id'     => $shortname.'h_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'h_background',$shortname.'h_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'h_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'h_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'h_foreground'
                  ,'std'    => '#000000'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'h_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  a
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Links','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for links.','kippis')
                  ,'id'     => $shortname.'a_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'a_background',$shortname.'a_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'a_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'a_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'a_foreground'
                  ,'std'    => '#333399'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'a_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  h1 a,h2 a,h3 a,h4 a,h5 a,h6 a
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Link headings','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for headings that are links.','kippis')
                  ,'id'     => $shortname.'h_a_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'h_a_background',$shortname.'h_a_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'h_a_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'h_a_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'h_a_foreground'
                  ,'std'    => '#333377'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'h_a_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  #site-title & #site-description
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Site headings','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for the Site Title and Tagline.','kippis')
                  ,'id'     => $shortname.'sitetitle_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'sitetitle_background',$shortname.'sitetitle_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'sitetitle_background'
                  ,'std'    => '#ffffff'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'sitetitle_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'sitetitle_foreground'
                  ,'std'    => '#000000'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'sitetitle_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: Text Close
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  Menu item: Structure
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('Structure','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('Tha structure','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Sidebars options
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Positioning of the sidebars','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','none')
                  );
$options[] = array('id'     => $shortname.'sidebars_position'
                  ,'std'    => 'standard'
                  ,'type'   => 'radio'
                  ,'data'   => array(__('One sidebar on each side of the content area.'  ,'kippis') => 'standard'
                                    ,__('Both sidebars to the left of the content area.' ,'kippis') => 'left'
                                    ,__('Both sidebars to the right of the content area.','kippis') => 'right'
                                    )
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Left sidebar
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Left sidebar','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('title'  => __('Enable','kippis')
                  ,'desc'   => __('Show the left sidebar.','kippis')
                  ,'id'     => $shortname.'sidebar_left_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('title'  => __('Width','kippis')
                  ,'desc'   => __('The width of the left sidebar, in percent.','kippis')
                  ,'id'     => $shortname.'sidebar_left_width'
                  ,'std'    => '20'
                  ,'type'   => 'text'
                  );
$options[] = array('type'   => 'displayonly'
                  ,'data'   => array('info','<i><b>' . __('Calculated width:','kippis') . ' ***LEFT_SIDEBAR_WIDTH***</b> (' . __('including margins and padding','kippis') . ')</i>')
                  );
$options[] = array('desc'   => __('Show when displaying the post flow.','kippis')
                  ,'id'     => $shortname.'sidebar_left_enable_posts'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('desc'   => __('Show when displaying a single post.','kippis')
                  ,'id'     => $shortname.'sidebar_left_enable_post'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('desc'   => __('Show when displaying a gallery post.','kippis')
                  ,'id'     => $shortname.'sidebar_left_enable_gallery'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('desc'   => __('Show when displaying a page.','kippis')
                  ,'id'     => $shortname.'sidebar_left_enable_page'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Right sidebar
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Right sidebar','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('title'  => __('Enable','kippis')
                  ,'desc'   => __('Show the right sidebar.','kippis')
                  ,'id'     => $shortname.'sidebar_right_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('title'  => __('Width','kippis')
                  ,'desc'   => __('The width of the right sidebar, in percent.','kippis')
                  ,'id'     => $shortname.'sidebar_right_width'
                  ,'std'    => '30'
                  ,'type'   => 'text'
                  );
$options[] = array('type'   => 'displayonly'
                  ,'data'   => array('info','<i><b>' . __('Calculated width:','kippis') . ' ***RIGHT_SIDEBAR_WIDTH***</b> (' . __('including margins and padding','kippis') . ')</i>')
                  );
$options[] = array('desc'   => __('Show when displaying the post flow.','kippis')
                  ,'id'     => $shortname.'sidebar_right_enable_posts'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('desc'   => __('Show when displaying a single post.','kippis')
                  ,'id'     => $shortname.'sidebar_right_enable_post'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('desc'   => __('Show when displaying a gallery post.','kippis')
                  ,'id'     => $shortname.'sidebar_right_enable_gallery'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('desc'   => __('Show when displaying a page.','kippis')
                  ,'id'     => $shortname.'sidebar_right_enable_page'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: Structure - Close
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  Menu item: Mobile devices
//
//***************************************************************************************************************************************************
$options[] = array('title'  => __('Mobile devices','kippis')
                  ,'type'   => 'open'
                  ,'desc'   => __('Options for mobile devices','kippis')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: general
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('General','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','none')
                  );
$options[] = array('title'  => __('Site Title','kippis')
                  ,'desc'   => __('Show the Site Title.','kippis')
                  ,'id'     => $shortname.'mobile_sitetitle_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('title'  => __('Tagline','kippis')
                  ,'desc'   => __('Show the Tagline.','kippis')
                  ,'id'     => $shortname.'mobile_tagline_enable'
                  ,'std'    => 'off'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('title'  => __('Menu','kippis')
                  ,'desc'   => __('Show a Menu. &nbsp; (Note: Will use a menu called "Mobile" if it exists, otherwise the primarary menu will be used.)','kippis')
                  ,'id'     => $shortname.'mobile_menu_enable'
                  ,'std'    => 'on'
                  ,'type'   => 'checkbox'
                  );
$options[] = array('title'  => __('Search Box','kippis')
                  ,'desc'   => __('Show the search box in the header.','kippis')
                  ,'id'     => $shortname.'mobile_search_box_header_enable'
                  ,'std'    => 'off'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: header
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Header','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('title'  => __('Header image','kippis')
                  ,'desc'   => __('The image displayed at the top.','kippis')
                  ,'note'   => __('A good width is 320px.','kippis')
                  ,'id'     => $shortname.'mobile_header_image'
                  ,'std'    => array('url'    => get_template_directory_uri() . '/pix/mobile_header.jpg'
                                   , 'file'   => get_template_directory()     . '/pix/mobile_header.jpg'
                                   , 'width'  => 320
                                   , 'height' => 127
                                   )
                  ,'type'   => 'image'
                  );
$options[] = array('desc'   => __('Show this image.','kippis')
                  ,'id'     => $shortname.'mobile_header_image_enable'
                  ,'std'    => 'off'
                  ,'type'   => 'checkbox'
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: body
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Body','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for the entire blog.','kippis')
                  ,'id'     => $shortname.'mobile_body_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_body_background',$shortname.'mobile_body_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_body_background'
                  ,'std'    => '#ffffff'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_body_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_body_foreground'
                  ,'std'    => '#000000'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_body_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: article
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Article','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for articles.','kippis')
                  ,'id'     => $shortname.'mobile_article_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_articles_background',$shortname.'mobile_articles_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_article_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_article_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_article_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_article_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: widgets
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Widgets','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for widgets.','kippis')
                  ,'id'     => $shortname.'mobile_widget_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_widget_background',$shortname.'mobile_widget_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_widget_background'
                  ,'std'    => '#eeeeee'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_widget_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_widget_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_widget_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: widget title
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Widget titles','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for widget titles.','kippis')
                  ,'id'     => $shortname.'mobile_widget_title_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_widget_title_background',$shortname.'mobile_widget_title_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_widget_title_background'
                  ,'std'    => '#dddddd'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_widget_title_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_widget_title_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_widget_title_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: h1,h2,h3,h4,h5,h6
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Headings','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for headings.','kippis')
                  ,'id'     => $shortname.'mobile_h_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_h_background',$shortname.'mobile_h_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_h_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_h_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_h_foreground'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_h_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: a
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Links','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for links.','kippis')
                  ,'id'     => $shortname.'mobile_a_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_a_background',$shortname.'mobile_a_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_a_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_a_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_a_foreground'
                  ,'std'    => '#333399'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_a_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: h1 a,h2 a,h3 a,h4 a,h5 a,h6 a
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Link headings','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for headings that are links.','kippis')
                  ,'id'     => $shortname.'mobile_h_a_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_h_a_background',$shortname.'mobile_h_a_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_h_a_background'
                  ,'std'    => ''
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_h_a_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_h_a_foreground'
                  ,'std'    => '#222266'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_h_a_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Mobile devices: #site-title & #site-description
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('title'  => __('Site headings','kippis')
                  ,'type'   => 'displayonly'
                  ,'data'   => array('delimiter','top')
                  );
$options[] = array('desc'   => __('The default colors for the Site Title and Tagline.','kippis')
                  ,'id'     => $shortname.'mobile_sitetitle_display_colors'
                  ,'type'   => 'displayonly'
                  ,'data'   => array('colors',$shortname.'mobile_sitetitle_background',$shortname.'mobile_sitetitle_foreground')
                  );
$options[] = array('title'  => __('Background color','kippis')
                  ,'id'     => $shortname.'mobile_sitetitle_background'
                  ,'std'    => '#ffffff'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'sitetitle_display_colors','background-color')
                  );
$options[] = array('title'  => __('Foreground color','kippis')
                  ,'id'     => $shortname.'mobile_sitetitle_foreground'
                  ,'std'    => '#000000'
                  ,'type'   => 'color'
                  ,'data'   => array($shortname.'mobile_sitetitle_display_colors','color')
                  );
//-------------------------------------------------------------------------------------------------------------------------------
//  Menu item: Mobile devices - Close
//-------------------------------------------------------------------------------------------------------------------------------
$options[] = array('type'   => 'close');
//***************************************************************************************************************************************************
//
//  The End
//
//***************************************************************************************************************************************************

