<?php

function kippis_get_css()
{
  global $kippis_is_smartphone;
  global $kippis_options;
  global $kippis_sidebar_enable_left;
  global $kippis_sidebar_enable_right;
  global $kippis_sidebars_left;
  global $kippis_sidebars_right;
  global $kippis_px_width_left;     // n/a on phone.
  global $kippis_px_width_middle;   // n/a on phone.
  global $kippis_px_width_right;    // n/a on phone.
  global $kippis_px_width_header;   // n/a on phone.
  global $kippis_px_height_header;  // n/a on phone.
?>
<style type="text/css">
<?php
  //
  //  Standard display.
  //
  if (!$kippis_is_smartphone) {
    $content_width = KIPPIS_HEADER_DEFAULT_WIDTH;
    if (($kippis_options['kippis_header_image_enable'] == 'on') && (!empty($kippis_options['kippis_header_image']['width']))) $content_width = $kippis_options['kippis_header_image']['width' ];
    if (!empty($kippis_options['kippis_header_image_width'])) $content_width = $kippis_options['kippis_header_image_width'];
    $arr = array('background-color'      => $kippis_options['kippis_body_background']
                ,'border-color'          => $kippis_options['kippis_body_background']
                ,'color'                 => $kippis_options['kippis_body_foreground']
                );
    if ($kippis_options['kippis_body_image_enable'] == 'on') {
      $arr['background-image'] = $kippis_options['kippis_body_image']['url'];
      $h = $kippis_options['kippis_body_image']['width' ];
      $w = $kippis_options['kippis_body_image']['height'];
      if      (($w <= $content_width) || ($h <= $content_width)) $arr['background-repeat'    ] = 'repeat';
      else                                                       $arr['background-attachment'] = 'fixed';
    }
    kippis_echo_style('body',$arr);
    kippis_echo_style('#all'
      ,array('#'                => 'width:' . ($content_width) . 'px;margin:10px auto;padding:10px;' . (!empty($kippis_options['kippis_all_background']) ? 'border:1px solid;border-radius:8px;' : '')
            ,'background-color' => $kippis_options['kippis_all_background']
            ,'border-color'     => $kippis_options['kippis_all_background']
            ,'color'            => $kippis_options['kippis_all_foreground']
            ));
    $arr = array('background-color' => $kippis_options['kippis_header_background']
                ,'border-color'     => $kippis_options['kippis_header_background']
                ,'color'            => $kippis_options['kippis_header_foreground']
                );
    if ($kippis_options['kippis_header_image_enable'] == 'on') {
      $arr['background-image'] = $kippis_options['kippis_header_image']['url'];
      if (!empty($kippis_options['kippis_header_image_width'])) {
        $arr['width' ] = $kippis_options['kippis_header_image_width'];
        $arr['height'] = floor((float)$kippis_options['kippis_header_image_width']
                             / (float)$kippis_options['kippis_header_image']['width']
                             * (float)$kippis_options['kippis_header_image']['height']);
        kippis_echo_style('#pagehead',array('#' => 'background-size:' . $arr['width'] . 'px ' . $arr['height'] . 'px'));
      }
      else {
        $arr['width' ] = $content_width;
        $arr['height'] = (empty($kippis_options['kippis_header_image']['height']) ? KIPPIS_HEADER_MIN_HEIGHT : $kippis_options['kippis_header_image']['height']);
      }
    }
    else {
      if (!empty($kippis_options['kippis_header_image_width'])) {
        $arr['width' ] = $kippis_options['kippis_header_image_width'];
        $arr['height'] = floor((float)$kippis_options['kippis_header_image_width']
                             / (float)KIPPIS_HEADER_MIN_HEIGHT
                             * (float)$kippis_options['kippis_header_image']['height']);
        kippis_echo_style('#pagehead',array('#' => 'background-size:' . $arr['width'] . 'px ' . $arr['height'] . 'px'));
      }
      else {
        $arr['width' ] = $content_width;
        $arr['height'] = KIPPIS_HEADER_MIN_HEIGHT;
      }
    }
    $kippis_px_width_header  = $arr['width' ];
    $kippis_px_height_header = $arr['height'];
    kippis_echo_style('#pagehead',$arr);
    kippis_echo_style('#pagehead .search_box' ,array('background-color' => $kippis_options['kippis_body_background']));
    if ($kippis_options['kippis_search_box_header'] == 'no') kippis_echo_style('#pagehead .search_wrap',array('#'=> 'display:none;'));
    else {
      $px = $kippis_options['kippis_search_box_header'] == 'top' ? '-40' : $kippis_px_height_header - 80;
      kippis_echo_style('#pagehead .search_wrap',array('#'=> 'position:relative;top:' . $px . 'px;right:0px;'));
    }
    kippis_echo_style('#searchsubmit',array('border-color'     => $kippis_options['kippis_body_foreground']));
    kippis_echo_style('#main_menu'   ,array('width'            => $content_width));
    kippis_echo_style('#pagebody'    ,array('width'            => $content_width));
    kippis_echo_style('#pagefoot'    ,array('width'            => $content_width));
    kippis_echo_style('#content'
      ,array('background-color' => $kippis_options['kippis_content_background']
            ,'border-color'     => $kippis_options['kippis_content_background']
            ,'color'            => $kippis_options['kippis_content_foreground']
            ));
    kippis_echo_style('#main_menu'
      ,array('background-color'           => $kippis_options['kippis_main_menu_bar_top_background']
            ,'background-linear-gradient' => $kippis_options['kippis_main_menu_bar_top_background'].','.$kippis_options['kippis_main_menu_bar_bottom_background']
            ));
    kippis_echo_style('#main_menu a',array('color' => $kippis_options['kippis_main_menu_bar_foreground']));
    kippis_echo_style('#main_menu ul ul a'
      ,array('background-color' => $kippis_options['kippis_main_menu_dropdown_background']
            ,'color'            => $kippis_options['kippis_main_menu_dropdown_foreground']
            ,'border-color'     => $kippis_options['kippis_main_menu_dropdown_foreground']
            ));
    kippis_echo_style('#main_menu li:hover > a,#main_menu ul ul:hover > a,#main_menu li:hover > a,#main_menu a:focus'
      ,array('background-color'           => $kippis_options['kippis_main_menu_hover_top_background']
            ,'background-linear-gradient' => $kippis_options['kippis_main_menu_hover_top_background'].','.$kippis_options['kippis_main_menu_hover_bottom_background']
            ,'color'                      => $kippis_options['kippis_main_menu_hover_foreground'    ]
            ));
    // Not yet.
    //kippis_echo_style('#main_menu .current_page_ancestor > a',array('color' => $kippis_options['kippis_main_menu_parent_foreground']));
    kippis_echo_style('nav#nav-single, nav#nav-above, nav#nav-below, .article, .search-result'
      ,array('background-color' => $kippis_options['kippis_article_background']
            ,'border-color'     => $kippis_options['kippis_article_background']
            ,'color'            => $kippis_options['kippis_article_foreground']
            ));
    kippis_echo_style('.wp-caption'
      ,array('background-color' => $kippis_options['kippis_caption_background']
            ,'border-color'     => $kippis_options['kippis_caption_border'    ]
            ));
    kippis_echo_style('#comments'
      ,array('background-color' => $kippis_options['kippis_comments_background']
            ,'border-color'     => $kippis_options['kippis_comments_background']
            ,'color'            => $kippis_options['kippis_comments_foreground']
            ));
    kippis_echo_style('#comments-title'
      ,array('color'            => $kippis_options['kippis_comments_foreground']
            ));
    kippis_echo_style('.thread-odd, .children .odd'
      ,array('background-color' => $kippis_options['kippis_comments_even_border']
            ,'border-color'     => $kippis_options['kippis_comments_odd_border' ]
            ));
    kippis_echo_style('.thread-even, .children .even'
      ,array('background-color' => $kippis_options['kippis_comments_odd_border' ]
            ,'border-color'     => $kippis_options['kippis_comments_even_border']
            ));
    kippis_echo_style('.comment'
      ,array('background-color' => $kippis_options['kippis_comment_background']
            ,'color'            => $kippis_options['kippis_comment_foreground']
            ));
    kippis_echo_style('.widget'
      ,array('background-color' => $kippis_options['kippis_widget_background']
            ,'border-color'     => $kippis_options['kippis_widget_background']
            ,'color'            => $kippis_options['kippis_widget_foreground']
            ));
    kippis_echo_style('.widget-title'
      ,array('background-color' => $kippis_options['kippis_widget_title_background']
            ,'border-color'     => $kippis_options['kippis_widget_title_background']
            ,'color'            => $kippis_options['kippis_widget_title_foreground']
            ));
    kippis_echo_style('h1,h2,h3,h4,h5,h6'
      ,array('background-color' => $kippis_options['kippis_h_background']
            ,'color'            => $kippis_options['kippis_h_foreground']
    ));
    kippis_echo_style('a'
      ,array('background-color' => $kippis_options['kippis_a_background']
            ,'color'            => $kippis_options['kippis_a_foreground']
    ));
    kippis_echo_style('h1 a,h2 a,h3 a,h4 a,h5 a,h6 a'
      ,array('background-color' => $kippis_options['kippis_h_a_background']
            ,'color'            => $kippis_options['kippis_h_a_foreground']
            ));
    kippis_echo_style('h1#site-title a, #site-description'
      ,array('background-color' => 'transparent'
            ,'color'            => $kippis_options['kippis_sitetitle_foreground']
            ,'text-shadow'      => $kippis_options['kippis_sitetitle_background']
            ));
    $width_left  = 0;
    $width_right = 0;
    if ($kippis_sidebar_enable_left ) $width_left  = (int)$kippis_options['kippis_sidebar_left_width' ];
    if ($kippis_sidebar_enable_right) $width_right = (int)$kippis_options['kippis_sidebar_right_width'];
    //  Some rudimentary sanity checks.
    if      ($width_left  <  0) $width_left  =  0;
    else if ($width_left  > 90) $width_left  = 30;
    if      ($width_right <  0) $width_right =  0;
    else if ($width_right > 90) $width_right = 30;
    if (($width_left + $width_right) > 80) {
      $width_left  = 30;
      $width_right = 30;
    }
    $width_content = 100 - $width_left - $width_right - 1;
    $kippis_sidebars_left  = $kippis_options['kippis_sidebars_position'] == 'left';
    $kippis_sidebars_right = $kippis_options['kippis_sidebars_position'] == 'right';
    $floater_right  = $kippis_sidebars_left ? 'left'  : 'right';
    $floater_middle = $kippis_sidebars_left ? 'right' : 'left';
    $floater_left   = 'left';
    if ($width_left  > 0) echo '#sidebar-left {float:' . $floater_left   . ';width:' . $width_left    . '%;}' . "\n";
                          echo '#content      {float:' . $floater_middle . ';width:' . $width_content . '%;}' . "\n";
    if ($width_right > 0) echo '#sidebar-right{float:' . $floater_right  . ';width:' . $width_right   . '%;}' . "\n";
    $kippis_px_width_left   = floor($content_width * $width_left    / 100);
    $kippis_px_width_middle = floor($content_width * $width_content / 100);
    $kippis_px_width_right  = floor($content_width * $width_right   / 100);
  }
  else {
    //
    //  Smartphone.
    //
    kippis_echo_style('body, #searchform#a, #main_menu_mobile_toggle, #main_menu_mobile'
      ,array('background-color' => $kippis_options['kippis_mobile_body_background']
            ,'border-color'     => $kippis_options['kippis_mobile_body_background']
            ,'color'            => $kippis_options['kippis_mobile_body_foreground']
            ));
    if (($kippis_options['kippis_mobile_header_image_enable'] == 'on') && (!empty($kippis_options['kippis_mobile_header_image']['width']))) {
      $forced_height = floor(320.0
                          / (float)$kippis_options['kippis_mobile_header_image']['width']
                          * (float)$kippis_options['kippis_mobile_header_image']['height']);
      kippis_echo_style('#pagehead'
        ,array('background-image' => $kippis_options['kippis_mobile_header_image']['url'   ]
              ,'#'                => 'background-size:320px ' . $forced_height . 'px;min-height:' . $forced_height . 'px;'
              ));
    }
    kippis_echo_style('nav#nav-single, nav#nav-above, nav#nav-below, .article, .search-result'
      ,array('background-color' => $kippis_options['kippis_mobile_article_background']
            ,'border-color'     => $kippis_options['kippis_mobile_article_background']
            ,'color'            => $kippis_options['kippis_mobile_article_foreground']
            ));
    kippis_echo_style('#s'           ,array('background-color' => $kippis_options['kippis_mobile_body_background']));
    kippis_echo_style('#searchsubmit',array('border-color'     => $kippis_options['kippis_mobile_body_foreground']));
    kippis_echo_style('#main_menu_mobile_toggle, #main_menu_mobile'
      ,array('background-color' => $kippis_options['kippis_mobile_body_background']
            ,'border-color'     => $kippis_options['kippis_mobile_body_foreground']
            ,'color'            => $kippis_options['kippis_mobile_body_foreground']
            ));
    kippis_echo_style('.widget'
      ,array('background-color' => $kippis_options['kippis_mobile_widget_background']
            ,'border-color'     => $kippis_options['kippis_mobile_widget_background']
            ,'color'            => $kippis_options['kippis_mobile_widget_foreground']
            ));
    kippis_echo_style('.widget-title'
      ,array('background-color' => $kippis_options['kippis_mobile_widget_title_background']
            ,'border-color'     => $kippis_options['kippis_mobile_widget_title_background']
            ,'color'            => $kippis_options['kippis_mobile_widget_title_foreground']
            ));
    kippis_echo_style('h1,h2,h3,h4,h5,h6'
      ,array('background-color' => $kippis_options['kippis_mobile_h_background']
            ,'color'            => $kippis_options['kippis_mobile_h_foreground']
    ));
    kippis_echo_style('a'
      ,array('background-color' => $kippis_options['kippis_mobile_a_background']
            ,'color'            => $kippis_options['kippis_mobile_a_foreground']
    ));
    kippis_echo_style('h1 a,h2 a,h3 a,h4 a,h5 a,h6 a'
      ,array('background-color' => $kippis_options['kippis_mobile_h_a_background']
            ,'color'            => $kippis_options['kippis_mobile_h_a_foreground']
            ));
    kippis_echo_style('h1#site-title a, #site-description'
      ,array('background-color' => 'transparent'
            ,'color'            => $kippis_options['kippis_mobile_sitetitle_foreground']
            ,'text-shadow'      => $kippis_options['kippis_mobile_sitetitle_background']
            ));
    if ($kippis_options['kippis_mobile_sitetitle_enable'] != 'on') kippis_echo_style('#site-title'      ,array('#'=> 'display:none;'));
    if ($kippis_options['kippis_mobile_tagline_enable'  ] != 'on') kippis_echo_style('#site-description',array('#'=> 'display:none;'));
    kippis_echo_style('.continue-reading'
      ,array('border-color' => $kippis_options['kippis_mobile_a_foreground']
            ));
    kippis_echo_style('.comment-reply-link'
      ,array('border-color' => $kippis_options['kippis_mobile_a_foreground']
            ));
  }
?>
</style>
<?php
}

function kippis_empty2transparent($color)
{
  return empty($color) ? 'transparent' : $color;
}

function kippis_echo_style($item,$para)
{
  $out = '';
  foreach($para as $css => $data) {
    if (empty($data)) {
      switch ($css) {
        case 'background-color':
        case 'border-color':
          $data = 'transparent';
          break;
      }
    }
    if (!empty($data)) {
      switch ($css) {
      case 'background-linear-gradient':
          $out .= 'background:-moz-linear-gradient('    . $data . ');'
               .  'background:-webkit-linear-gradient(' . $data . ');';
          break;
        case 'background-image':
          $out .= $css . ':url("' . $data . '");background-position:center top;background-repeat:no-repeat;';
          break;
        case 'background-attachment':
        case 'background-repeat':
        case 'color':
          $out .= $css . ':' . $data . ';';
          break;
        case 'background-color':
        case 'border-color':
          $out .= $css . ':' . $data . ';';
          break;
        case 'text-shadow':
          $out .= $css . ':0 0 0.6em ' . $data . ',0 0 0.6em ' . $data . ',0 0 0.6em ' . $data . ',0 0 0.6em ' . $data . ',0 0 0.6em ' . $data . ',0 0 0.6em ' . $data . ';';
          break;
        case 'height':
        case 'width':
          $out .= $css . ':' . $data . 'px;';
          break;
        default:  // '#'
          $out .= $data;
      }
    }
  }
  if (!empty($out)) echo $item . '{' . $out . '}' . "\n";
}

